/* _content/CriptaDosJogos/Pages/Shared/_Layout.cshtml.rz.scp.css */
using CriptaDosJogos.Data;
using CriptaDosJogos.Models.Youtube;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;

namespace CriptaDosJogos.Pages.Youtube.Programacao;

public class ListaModel : PageModel[b-4jlvrtbdhd]
{
    private readonly CriptaDbContext _context;

    public ListaModel(CriptaDbContext context)
    {
        _context = context;
    }

    public List<YVideo> Videos[b-4jlvrtbdhd] { get; set; } = new();

    public async Task OnGetAsync()[b-4jlvrtbdhd]
    {
        Videos = await _context.YVideos
            .Include(v => v.VideosList)
            .Include(v => v.VideosState)
            .Where(v => v.CanalID == 3)
            .OrderBy(v => v.ReleaseDate ?? v.PlannedReleaseDate)
            .ToListAsync();
    }
}
